CVE-2017-15911

Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting') in maven/org.igniterealtime.openfire/parent

Identifiers

GHSA-v3h2-4j2r-wqj8, CVE-2017-15911

Package Slug

maven/org.igniterealtime.openfire/parent

Vulnerability

Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting')

Description

The Admin Console in Ignite Realtime Openfire Server before 4.1.7 allows arbitrary client-side JavaScript code execution on victims who click a crafted setup/setup-host-settings.jsp?domain= link, aka XSS. Session ID and data theft may follow as well as the possibility of bypassing CSRF protections, injection of iframes to establish communication channels, etc. The vulnerability is present after login into the application.

Affected Versions

All versions before 4.1.7

Solution

Upgrade to version 4.1.7 or above.

Last Modified

2022-11-23

source